## r-cran-multidimbio 1.2.2

=== DESCRIPTION ===
Package: multiDimBio
Type: Package
Title: Multivariate Analysis and Visualization for Biological Data
Version: 1.2.2
Date: 2020-04-09
Author: Samuel V. Scarpino
Maintainer: Samuel V. Scarpino <scarpino@utexas.edu>
Description: Code to support a systems biology research program from inception through publication.  The methods focus on dimension reduction approaches to detect patterns in complex, multivariate experimental data and places an emphasis on informative visualizations.  The goal for this project is to create a package that will evolve over time, thereby remaining relevant and reflective of current methods and techniques.  As a result, we encourage suggested additions to the package, both methodological and graphical.
License: GPL (>= 3.0)
LazyLoad: yes
Imports: ggplot2 (>= 3.2.0), lme4 (>= 1.1-21), pcaMethods (>= 1.76.0),
        misc3d (>= 0.8-4), MASS (>= 7.3-29), RColorBrewer(>= 1.1-2),
        gridGraphics (>= 0.1-5)
NeedsCompilation: no
Packaged: 2020-04-09 16:48:33 UTC; scarpino
Repository: CRAN
Date/Publication: 2020-04-09 17:10:06 UTC

## r-cran-multidimbio 1.1.1

=== debian/changelog ===
r-cran-multidimbio (1.1.1-1) unstable; urgency=medium

  * Initial release (closes: #933244)

 -- Andreas Tille <tille@debian.org>  Sun, 28 Jul 2019 06:07:18 +0200

=== debian/control ===
Source: r-cran-multidimbio
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-ggplot2,
               r-cran-lme4,
               r-bioc-pcamethods,
               r-cran-misc3d,
               r-cran-mass,
               r-cran-rcolorbrewer,
               r-cran-gridgraphics
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-multidimbio
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-multidimbio.git
Homepage: https://cran.r-project.org/package=multiDimBio

Package: r-cran-multidimbio
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R multivariate analysis and visualization for biological data
 Code to support a systems biology research program from inception
 through publication. The methods focus on dimension reduction approaches
 to detect patterns in complex, multivariate experimental data and places
 an emphasis on informative visualizations. The goal for this project is
 to create a package that will evolve over time, thereby remaining
 relevant and reflective of current methods and techniques.

## r-cran-multidimbio 1.2.1

=== debian/changelog ===
r-cran-multidimbio (1.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 16 Sep 2019 11:26:44 +0200

r-cran-multidimbio (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Fri, 30 Aug 2019 08:54:01 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2,
+               r-cran-ggplot2 (>= 3.2.0),
                r-cran-lme4,
-               r-bioc-pcamethods,
+               r-bioc-pcamethods (>= 1.76.0),
                r-cran-misc3d,
                r-cran-mass,
-               r-cran-rcolorbrewer,
+               r-cran-rcolorbrewer (>= 1.1-2),
                r-cran-gridgraphics
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-multidimbio

## r-cran-multidimbio 1.2.2

=== debian/changelog ===
r-cran-multidimbio (1.2.2-2) unstable; urgency=medium

  * Source upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Wed, 20 May 2020 13:00:09 +0200

r-cran-multidimbio (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 11 Apr 2020 09:01:51 +0200

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,11 @@
                r-cran-mass,
                r-cran-rcolorbrewer (>= 1.1-2),
                r-cran-gridgraphics
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-multidimbio
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-multidimbio.git
 Homepage: https://cran.r-project.org/package=multiDimBio
+Rules-Requires-Root: no
 
 Package: r-cran-multidimbio
 Architecture: all

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/multiDimBio_([-\d.]*)\.tar\.gz

## r-cran-multidimbio 1.2.5

=== debian/changelog ===
r-cran-multidimbio (1.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 19 Jan 2026 15:22:54 +0900

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,19 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2 (>= 3.2.0),
+               r-cran-ggplot2,
                r-cran-lme4,
-               r-bioc-pcamethods (>= 1.76.0),
+               r-bioc-pcamethods,
                r-cran-misc3d,
                r-cran-mass,
-               r-cran-rcolorbrewer (>= 1.1-2),
-               r-cran-gridgraphics
-Standards-Version: 4.5.0
+               r-cran-rcolorbrewer,
+               r-cran-gridgraphics,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-multidimbio
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-multidimbio.git
 Homepage: https://cran.r-project.org/package=multiDimBio
